Subject: Re: bug#66514: start-process explorer.exe open wrong directory

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Oct 2023 18:18:04 +0300

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 13 Oct 2023 13:15:49 +0000
> msip_labels:
> 
> > Try
> > (start-process "Explorer" nil "explorer.exe" "C:\\Users\\username")
> 
> Thanks for your help!  This expression works perfectly.
> It seems that the forward slash is for the explorer to receive
> arguments.

Yes, MS-Windows programs frequently treat the forward slash as the
option character, instead of the dash.

> >> When I use shell-mode or eshell, explorer works as expected.
> > How exactly do you "use shell-mode or eshell" to start the Explorer?
> 
> This is a faulty memory, and when I wrote the bug report, I tested
> only the 'reproduce' section.  My mistake.
> The bug can now be closed; it's more about 'explorer.exe' rather
> than Emacs.

Done, thanks.